summarylogtreecommitdiffstats
path: root/installer_sh_x86.patch
diff options
context:
space:
mode:
authorImmae2014-11-13 00:25:29 +0100
committerImmae2014-11-13 00:27:17 +0100
commit6b0e289aed80d905732536e3e58e2a99e84383c8 (patch)
tree8649c66941088e3d5011e06ddd8df9109d1ccdaa /installer_sh_x86.patch
downloadaur-6b0e289aed80d905732536e3e58e2a99e84383c8.tar.gz
Anaconda
Diffstat (limited to 'installer_sh_x86.patch')
-rw-r--r--installer_sh_x86.patch32
1 files changed, 32 insertions, 0 deletions
diff --git a/installer_sh_x86.patch b/installer_sh_x86.patch
new file mode 100644
index 000000000000..8a4243a9b978
--- /dev/null
+++ b/installer_sh_x86.patch
@@ -0,0 +1,32 @@
+--- Anaconda3-2.1.0-Linux-x86.sh.old 2014-11-13 00:11:01.365408124 +0100
++++ Anaconda3-2.1.0-Linux-x86.sh 2014-11-13 00:11:40.704938776 +0100
+@@ -73,9 +73,9 @@
+ fi
+ fi
+ # verify the size of the installer
+-wc -c "$THIS_PATH" | grep 333141910 >/dev/null
++wc -c "$THIS_PATH" | grep 333141917 >/dev/null
+ if (( $? )); then
+- echo "ERROR: size of $THIS_FILE should be 333141910 bytes" >&2
++ echo "ERROR: size of $THIS_FILE should be 333141917 bytes" >&2
+ exit 1
+ fi
+
+@@ -365,7 +365,7 @@
+ extract_dist _cache-0.0-x0
+
+ mkdir $PREFIX/envs
+-mkdir $HOME/.continuum 2>/dev/null
++#mkdir $HOME/.continuum 2>/dev/null
+
+ PYTHON="$PREFIX/pkgs/python-3.4.1-4/bin/python -E"
+ $PYTHON -V
+@@ -375,7 +375,7 @@
+ uname -a
+ exit 1
+ fi
+-
++exit 0
+ echo "creating default environment..."
+ CONDA_INSTALL="$PREFIX/pkgs/conda-3.7.0-py34_0/lib/python3.4/site-packages/conda/install.py"
+ $PYTHON $CONDA_INSTALL --prefix=$PREFIX --pkgs-dir=$PREFIX/pkgs --link-all || exit 1